# Uses of Class
org.apache.sling.event.impl.jobs.stats.StatisticsManager

Packages that use StatisticsManager
Package
Description
org.apache.sling.event.impl.jobs.queues

## Uses of StatisticsManager in org.apache.sling.event.impl.jobs.queues

Fields in org.apache.sling.event.impl.jobs.queues declared as StatisticsManager
Modifier and Type
Field
Description
`StatisticsManager`
QueueServices.`statisticsManager`
Methods in org.apache.sling.event.impl.jobs.queues with parameters of type StatisticsManager
Modifier and Type
Method
Description
`JobHandler`
QueueJobCache.`getNextJob(JobConsumerManager jobConsumerManager, StatisticsManager statisticsManager, org.apache.sling.event.jobs.Queue queue, boolean doFull)`
Get the next job.
`static QueueManager`
QueueManager.`newForTest(org.osgi.service.event.EventAdmin eventAdmin, JobConsumerManager jobConsumerManager, org.apache.sling.event.jobs.jmx.QueuesMBean queuesMBean, org.apache.sling.commons.threads.ThreadPoolManager threadPoolManager, org.apache.sling.commons.threads.ThreadPool threadPool, JobManagerConfiguration configuration, StatisticsManager statisticsManager)`
`void`
QueueJobCache.`reschedule(String queueName, JobHandler handler, StatisticsManager statisticsManager)`
Reschedule a job Reschedule the job and add it back into the cache.
Constructors in org.apache.sling.event.impl.jobs.queues with parameters of type StatisticsManager
Modifier
Constructor
Description
``
`QueueJobCache(JobManagerConfiguration configuration, String queueName, StatisticsManager statisticsManager, org.apache.sling.event.jobs.QueueConfiguration.Type queueType, Set<String> topics)`
Create a new queue job cache